# PYMODINS

[pymodins](https://github.com/Nandhan-KA/pymodins) is a Python Modules Installer for Developers and Peoples who are new to python.

## Installation

Use the package manager [pip](https://pip.pypa.io/en/stable/) to install pymodins.

```bash
python setup.py install 
        or
pip install pymodins
```

## Usage

```Python 

import pymodins

# Displays all Domains
pymodins.run()

# Install Basic Modules
pymodins.install_basic_modules()

#install Advanced Modules
pymodins.install_advanced_modules()

#install Science Modules
pymodins.install_science_modules()

#install Computer Vision Modules
pymodins.install_computervision_modules()

#install MachineLearning Modules()
pymodins.install_machinelearning_modules()

#install Deep Learning Modules
pymodins.install_deeplearning_modules()

#install Full Stack Development Modules
pymodins.install_fullstack_modules()

#install Network Modules
pymodins.install_network_modules()

#install Build Modules
pymodins.install_build_modules()

#install Jupyter Modules
pymodins.install_jupyter_modules()

```

## Contributing

Pull requests are welcome. For major changes, please open an issue first
to discuss what you would like to change.

Please make sure to update tests as appropriate.

## License

[MIT](https://choosealicense.com/licenses/mit/)
```
                            MIT License

                    Copyright (c) 2024 Nandhan

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
```

## Expected Output

```

 _______  ____  ____  ____    ____   ___   ______   _____  ____  _____   ______   
|_   __ \|_  _||_  _||_   \  /   _|.'   `.|_   _ `.|_   _||_   \|_   _|.' ____ \  
  | |__) | \ \  / /    |   \/   | /  .-.  \ | | `. \ | |    |   \ | |  | (___ \_| 
  |  ___/   \ \/ /     | |\  /| | | |   | | | |  | | | |    | |\ \| |   _.____`.  
 _| |_      _|  |_    _| |_\/_| |_\  `-'  /_| |_.' /_| |_  _| |_\   |_ | \____) | 
|_____|    |______|  |_____||_____|`.___.'|______.'|_____||_____|\____| \______.' 

    
Creator: Nandhan K
Github: @github.com/Nandhan-KA
System Platform: win32
Python verion: 3.8.0 (tags/v3.8.0:fa919fd, Oct 14 2019, 19:37:50) [MSC v.1916 64 bit (AMD64)]
pip version: pip 24.0 from c:\users\{username}\appdata\local\programs\python\python38\lib\site-packages\pip (python 3.8)

Please select the type of modules you want to install:

1. Basic Modules
2. Advanced Modules
3. Science Modules
4. Computer Vision Modules
5. Machine Learning Modules
6. Deep Learning Modules
7. Full Stack Development Modules
8. Network Modules
9. Build Modules
10. Jupyter Modules

Enter the number corresponding to your choice: 
```

# Thank you for using this project!
# Feel free to ask your queries 